#include <bits/stdc++.h>
using namespace std;
int main()
{
    ifstream f1("PT2.inp");
    double a,b,c,d;
    f1>>a>>b>>c;
    f1.close();
    d=b*b-4*a*c;
    if(d==0&&a!=0)
     {
         ofstream f2("PT2.out");
         f2.setf(ios::fixed);
         f2.setf(ios::showpoint);

          f2<<(-b)/(2*a);
     }
    if(d<0)
    {
        ofstream f2("PT2.out");
        f2<<"NO";
    }
    if (d>0)
            {
                ofstream f2("PT2.out");
                f2.setf(ios::fixed);
                f2.setf(ios::showpoint);

             f2<<((-b)-sqrt(d))/(2*a)<<" "<<setprecision(2)<<fixed<<((-b)+sqrt(d))/(2*a);
            }
}
